<?php

Route::prefix('Varieties')->name('Varieties.')->group(function () {
    Route::get('', 'VarietyController@index')->name('index');
    Route::get('getDataTable', 'VarietyController@getDataTable')->name('getDataTable');
    Route::get('create', 'VarietyController@create')->name('create');
    Route::delete('destroy/{id?}', 'VarietyController@destroy')->name('destroy');
    Route::post('update', 'VarietyController@update')->name('update');
    Route::post('store', 'VarietyController@store')->name('store');
    Route::get('edit/{id}', 'VarietyController@edit')->name('edit');
    Route::post('getSelect', 'VarietyController@getOptionsWithSpecie')->name('getSelect');
    Route::post('deleteImage', 'VarietyController@deleteImage')->name('deleteImage');
    Route::any('getImages/{id?}/{can_edit?}', 'VarietyController@getImages')->name('getImages');
});
